#include "OgreSubMesh.h"

OgreSubMesh::OgreSubMesh(void)
{
	boundingBoxMin = NULL;
	boundingBoxMax = NULL;
	boundingSphereCenter = NULL;
}

OgreSubMesh::~OgreSubMesh(void)
{
	for(unsigned int i=0; i<faces.size(); i++)
		delete faces[i];
	faces.clear();

	for(unsigned int i=0; i<vertices.size(); i++)
		delete vertices[i];
	vertices.clear();

	delete boundingBoxMin;
	delete boundingBoxMax;
	delete boundingSphereCenter;
}
